{"swagger":"2.0","info":{"title":"ValidacionServicios","description":"","version":"1.0.0","termsOfService":"terminos del cotrato","license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"}},"host":"35ecb.bancaribe.com.ve:8243","basePath":"/ValidacionServicios/1.0.0","schemes":["https","http"],"consumes":["application/json"],"produces":["application/json"],"paths":{"/afiliacionValidarServicio":{"post":{"tags":["Validacion Servicios"],"summary":"Consulta si existe una Afiliacion","description":"Consulta si existe una Afiliacion  para ese cliente","operationId":"getCosultaServicios","parameters":[{"name":"X-Request-Id","in":"header","required":false,"type":"string"},{"in":"body","name":"body","description":"ServicioRequest","schema":{"$ref":"#/definitions/ServicioRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ServicioResponse"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorResponse"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/ErrorResponse"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/ErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/ErrorResponse"}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}}},"definitions":{"ServicioRequest":{"type":"object","properties":{"ip":{"type":"string"},"servicio":{"type":"string"},"clienteHash":{"type":"string"},"clienteRIF":{"type":"string"},"numeroCuenta":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"codigoError":{"type":"string"},"descripcionError":{"type":"string"}}},"ServicioResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"descripcion":{"type":"string"},"identificador":{"type":"string"},"estado":{"type":"string"},"nombre":{"type":"string"}}}},"securityDefinitions":{"default":{"type":"oauth2","authorizationUrl":"https://35ecb.bancaribe.com.ve:8243/authorize","flow":"implicit","scopes":{}}}}